'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');

function useInterval(callback, delay) {
    var savedCallback = react.useRef(function () { });
    // Remember the latest callback.
    react.useEffect(function () {
        savedCallback.current = callback;
    }, [callback]);
    // Set up the interval.
    react.useEffect(function () {
        function tick() {
            savedCallback.current();
        }
        if (delay !== null) {
            var id_1 = setInterval(tick, delay);
            return function () { return clearInterval(id_1); };
        }
        else {
            return function () { };
        }
    }, [delay]);
}

exports.useInterval = useInterval;
//# sourceMappingURL=index.js.map
